png++: png::image< pixel, pixel_buffer_type >::pixel_generator Class Reference

png++ 0.2.10

Public Member Functions | List of all members
png::image< pixel, pixel_buffer_type >::pixel_generator Class Reference

The pixel buffer adapter for writing pixel data. More...

`#include <image.hpp>`

Inheritance diagram for png::image< pixel, pixel_buffer_type >::pixel_generator:

## Public Member Functions
| pixel_generator (image_info &info, pixbuf &pixels)
Public Member Functions inherited from png::image< pixel, pixel_buffer_type >::streaming_impl< generator< pixel, pixel_generator, image_info_ref_holder, true > >
| streaming_impl (image_info &info, pixbuf &pixels)
byte * | get_next_row (size_t pos)
| Returns the starting address of a `pos-th` row in the image's pixel buffer.
Public Member Functions inherited from png::generator< pixel, pixel_generator, image_info_ref_holder, true >
void | write (ostream &stream)
| Writes an image to the stream.
Public Member Functions inherited from png::streaming_base< pixel, image_info_ref_holder >
| streaming_base (image_info &info)
| streaming_base (uint_32 width, uint_32 height)
image_info const & | get_info () const

## Additional Inherited Members
Public Types inherited from png::streaming_base< pixel, image_info_ref_holder >
typedef pixel_traits< pixel > | traits
Protected Types inherited from png::generator< pixel, pixel_generator, image_info_ref_holder, true >
typedef streaming_base< pixel, image_info_ref_holder > | base
Protected Member Functions inherited from png::generator< pixel, pixel_generator, image_info_ref_holder, true >
| generator (image_info &info)
| Constructs a generator object using passed image_info object to store image information.
| generator (size_t width, size_t height)
| Constructs a generator object prepared to generate an image of specified width and height.
Protected Member Functions inherited from png::streaming_base< pixel, image_info_ref_holder >
image_info & | get_info ()
void | reset (size_t)
Protected Attributes inherited from png::image< pixel, pixel_buffer_type >::streaming_impl< generator< pixel, pixel_generator, image_info_ref_holder, true > >
pixbuf & | m_pixbuf
Protected Attributes inherited from png::streaming_base< pixel, image_info_ref_holder >
image_info_ref_holder | m_info_holder

## Detailed Description

template<typename pixel, typename pixel_buffer_type = pixel_buffer< pixel >>
class png::image< pixel, pixel_buffer_type >::pixel_generator

The pixel buffer adapter for writing pixel data.

## Constructor & Destructor Documentation

## ◆ pixel_generator()

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>

png::image< pixel, pixel_buffer_type >::pixel_generator::pixel_generator | ( | image_info & | info,
|  | pixbuf & | pixels )
| inline

The documentation for this class was generated from the following file:

- image.hpp